Update user role
curl --request PATCH \
--url https://productlane.com/api/v1/users/role \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"membershipId": "<string>"
}
'import requests
url = "https://productlane.com/api/v1/users/role"
payload = { "membershipId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({membershipId: '<string>'})
};
fetch('https://productlane.com/api/v1/users/role', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Users
Update user role
Update a user’s role in your workspace. Valid roles are ADMIN, USER, and VIEWER. Only admins can change roles. Cannot demote the last admin. You cannot change your own role. Authentication is required.
PATCH
/
users
/
role
Update user role
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
The response is of type object.
⌘I